Ticket #9279 (closed defect: wontfix)

Opened 4 years ago

Last modified 4 years ago

virtualbox-4.1 deb needs to conflict/replace virtualbox-guest-additions-iso

Reported by: patpannuto Owned by:
Priority: major Component: other
Version: VirtualBox 4.1.0 Keywords:
Cc: Guest type: other
Host type: other


The virtualbox-4.1 .deb package also needs a conflicts/replaces entry for the ubuntu package virtualbox-guest-additions-iso, otherwise the installation will fail:

$ aptitude show virtualbox-4.1 
Conflicts: virtualbox, virtualbox-ose
Replaces: virtualbox

$ apt-get install virtualbox-4.1
dpkg: error processing /var/cache/apt/archives/virtualbox-4.1_4.1.0-73009~Ubuntu~natty_amd64.deb (--unpack):
trying to overwrite '/usr/share/virtualbox/VBoxGuestAdditions.iso', which is also in package virtualbox-guest-additions-iso 4.0.8-1~natty1

Change History

comment:1 Changed 4 years ago by frank

  • Status changed from new to closed
  • Resolution set to wontfix

This conflicts entry needs to be added in the virtualbox-guest-additions-iso package (it already conflicts against older versions of VirtualBox).

Note: See TracTickets for help on using tickets.
ContactPrivacy policyTerms of Use